#ifndef _ENVIRONEMENT_H
#define _ENVIRONEMENT_H

#include "world_entity.h"


class Environment : public WorldEntity 
{
  friend class World;

 public:
  Environment ();
  virtual ~Environment ();

  
  virtual void tick (float time);
  virtual void hit (WorldEntity* weapon, Vector* loc);
  virtual void destroy ();
  virtual void collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags);
  virtual void draw ();

};

#endif /* _ENVIRONEMENT_H */
